<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 180;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" ||myUser::getUser()->getRoleId() == "sys.caja" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }
$o_ObjectBean->setFlagReporte('2');
$o_ObjectBean->setEstado('P');

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

	 
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);




$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="4%" >Nro.</th>
    
			    <th width="21%" >Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="3%" >F. Ini&nbsp;&nbsp;&nbsp;</th>
				<th width="3%" >F. Fin&nbsp;&nbsp;&nbsp;</th>
                 <th width="5%" >M.Total &nbsp;&nbsp;&nbsp;</th>
                 <th width="5%" >Tipo</th>
                 <th width="4%" >Saldo &nbsp;&nbsp;&nbsp;</th>
                 <th width="4%" >Cuota&nbsp;&nbsp;&nbsp;</th>
              
              </tr>
              <? if(count($a_ObjectBean)>0){ 
              	?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
                <td align="left"><?=$o_objBean->getObjectCliente()->getNombreCompleto()?></td>
                <td><?=$o_objBean->getFechaInicio()?></td>
                <td><?=$o_objBean->getFechaVencimiento()?></td>  
				<td align="center"><?=$o_objBean->getMontoTotal() ; $total_monto +=$o_objBean->getMontoTotal();?></td>
				<td align="center"><? if($o_objBean->getOrigen()=='R') echo N; elseif($o_objBean->getOrigen()=='F') echo R;?></td>
				<td align="center"><?=$o_objBean->getSaldoPrestamo() ; $total_saldo +=$o_objBean->getSaldoPrestamo();?></td>
				<td align="center"><?=$o_objBean->getCuotaPago()?></td>
				</tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
         <tr>
          <td>
	          <table class="marco" border="1" cellpadding="0" cellspacing="0" width="100%" bgcolor="#CCCCCC">
	            <tr>
	          		<td width="49%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000">T Registros: <?=count($a_ObjectBean)?></td>
	          		<td width="12%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000">&nbsp;</td>
	          		<td width="8%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000" ><b></b></td>
	          		<td width="8%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b><?=number_format($total_monto,1)?></b></td>
	          		<td width="8%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000" ><b>&nbsp;</b></td>
	          		<td width="8%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b><?=number_format($total_saldo,1)?></b></td>
	          		<td width="8%" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b>&nbsp;</b></td>
	          		
<!--	          		<td><?=count($a_ObjectBean)?></td>-->
	          	</tr>
	          </table>
          </td>
        </tr>
        <!--<tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>-->
      </table>